UAD Plug-Ins

Welcome to UA Support
How can we help?

macOS 10.15 Catalina Compatibility Info

Apple released macOS 10.15 Catalina on October 7, 2019.

Please note that Catalina is not yet fully tested with UAD software.

We recommend that you wait until complete UAD software compatibility with Catalina is announced before updating to this new operating system.

Additionally, many audio software companies are advising users not to install Catalina due to various incompatibilities with their software. We recommend inquiring about compatibility with the companies that make the software you use before installing the new OS.

To prevent macOS from updating automatically when running macOS 10.14 Mojave, uncheck the “Install macOS updates” option in System Preferences > Software Update > Advanced options, as shown at the bottom of this article.

About macOS Catalina with UAD software

  • The current version of UAD software (UAD v9.11.0) can be installed on Catalina. However, Catalina is not yet fully tested and is currently unsupported with UAD software. Catalina is currently being tested with UAD software, and full Catalina support will be released in a future UAD software update.

  • If installing UAD software on Catalina, be sure to click “OK” in all related dialogs and follow all on-screen instructions. See the Mojave compatibility article for examples of actions you may need to take to get UAD software running on Catalina systems.

  • Some UAD software issues may be apparent (see specific known issues below) with Catalina, but our tests currently indicate that UAD software will generally work as expected.

  • The current version of UAD software (UAD v9.11.0) is compatible with other versions of macOS, including 10.12 Sierra, 10.13 High Sierra, and 10.14 Mojave.

  • This article will be updated as new information becomes available. 

 

Known issues with macOS Catalina and UAD software

Issue: UAD v9.10.1 (and earlier) software cannot be installed on Catalina. UAD installation will fail and UAD devices will not be recognized. 

Solution: Install the current version of UAD software (UAD v9.11.0). Note that if UAD v9.10.1 (and earlier) software was installed before updating the OS to Catalina, the previously-installed UAD software will work after updating to Catalina.

Issue: When a UAD plug-in is inserted in the Apollo/Arrow Console app, the plug-in interface may not display properly.

Solution: Close the UAD plug-in window, then reopen the UAD plug-in window.

Issue: When opening the UAD v9.10.2 installer on macOS Catalina, a "UAD-Mac-v9102.pkg can't be opened because Apple cannot check it for malicious software" dialog may appear. 

Solution: Install the current version of current version of UAD software (UAD v9.11.0).

 

How to disable automatic macOS updates in Mojave

Note: This procedure only applies when running macOS 10.4 Mojave. Earlier macOS versions do not have the Software Update pane within System Preferences.

  1. Open System Preferences under the Apple Menu at upper left of display.
  2. Click the Software Update icon to open the preference pane.
  3. Click the Advanced… button at lower right of the Software Update pane.
  4. Uncheck the Install macOS updates option, then click OK.

disable-macos-updates.png

Disabling automatic macOS updates in Mojave System Preferences

 

 

Have more questions? Submit a request

Comments